<template lang="pug">
Card(ref='card' title='Transform')
  template(#info='c')
    p
      | The #[strong Transform] edit card displays details about a
      | #[a(href='https://mro-dev.web.cern.ch/docs/std/ssvg-specification.html#name-the-transform-element-2' target="_blank" rel="noopener") SSVG transform element].
    hr
    p The #[strong Live Values] part displays current transform output value, as applied on the SSVG document.
    p The transform values may be modified to better visualize changes.
    p #[strong Note:] modifications are applied by pressing #[kbd enter].
    hr
    p
      | The #[strong Code Editor] allows direct modifications over the #[a(href='https://mro-dev.web.cern.ch/docs/std/ssvg-specification.html#name-the-transform-element-2' target="_blank" rel="noopener") SSVG transform element],
      | linting, code-completion and widgets are there to guide you.
    p #[strong Note:] modifications are applied by pressing #[kbd Ctrl+S] or clicking on #[i.fa.fa-arrow-circle-right]
  template(#default='c')
    li.p-0(key='value')
      TransformEditValues(ref='value' :value='value' @edit='setValue($event)' @reset='restore')
    li.p-0.autoscroll(key='raw')
      RelationCodeEditor(ref="cm")

    li.p-0(key='ctrl')
      .d-flex.flex-wrap.px-1
        button.m-1.btn.btn-outline-danger(@click='doDelete')
          | #[i.fa.fa-trash] Delete
        button.m-1.ml-auto.btn.btn-outline-primary(@click='doApply')
          kbd.mr-2(v-if="c.showKeyHints && c.isFocused") Ctrl+S
          | #[i.fa.fa-arrow-circle-right] Apply
</template>
<script src='./TransformEdit.vue.js' />
